## swish++ 1.1b3

=== Makefile ===
##
#	SWISH++
#	Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		.
include		$(ROOT)/config/config.mk

TARGET=		index search extract
CFLAGS=		$(CCFLAGS) # -DDEBUG_is_ok_word -DDEBUG_parse_query

I_LINK=		-lm
I_OBJS=		directory$(CCOEXT) \
		entities$(CCOEXT) \
		file_vector$(CCOEXT) \
		file_info$(CCOEXT) \
		word_index$(CCOEXT) \
		file_list$(CCOEXT) \
		html$(CCOEXT) \
		stop_words$(CCOEXT) \
		util$(CCOEXT) \
		index$(CCOEXT)

S_LINK=		
S_OBJS=		file_vector$(CCOEXT) \
		file_index$(CCOEXT) \
		word_index$(CCOEXT) \
		file_list$(CCOEXT) \
		token$(CCOEXT) \
		search$(CCOEXT)

E_LINK=
E_OBJS=		directory$(CCOEXT) \
		entities$(CCOEXT) \
		ext_proc$(CCOEXT) \
		file_vector$(CCOEXT) \
		postscript$(CCOEXT) \
		stop_words$(CCOEXT) \
		util$(CCOEXT) \
		extract$(CCOEXT)

##
# Build rules
##

all:: $(TARGET)

extract: $(E_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(E_OBJS) $(E_LINK)

index: $(I_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(I_OBJS) $(I_LINK)

search: $(S_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(S_OBJS) $(S_LINK)

directory$(CCOEXT): \
	directory$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H)

entities$(CCOEXT): \
	entities$(CCHEXT) \
		less$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H)

ext_proc$(CCOEXT): \
	config$(CCHEXT) \
	ext_proc$(CCHEXT) \
		fake_ansi$(CCHEXT) \
			$(PLATFORM_H) \
		less$(CCHEXT)

extract$(CCOEXT): \
	config$(CCHEXT) \
	directory$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_vector$(CCHEXT) \
	postscript$(CCHEXT) \
	string_set$(CCHEXT) \
		less$(CCHEXT) \
	util$(CCHEXT) \
	version$(CCHEXT)

file_index$(CCOEXT): \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_index$(CCHEXT) \
		file_vector$(CCHEXT)

file_info$(CCOEXT): \
	config$(CCHEXT) \
	file_info$(CCHEXT)

file_list$(CCOEXT): \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_list$(CCHEXT) \
		word_index$(CCHEXT) \
			file_vector$(CCHEXT)

file_vector$(CCOEXT): \
	file_vector$(CCHEXT) \
		fake_ansi$(CCHEXT) \
			$(PLATFORM_H)

html$(CCOEXT): \
	config$(CCHEXT) \
	entities$(CCHEXT) \
		less$(CCHEXT) \
	html$(CCHEXT) \
		file_vector$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	util$(CCHEXT)

index$(CCOEXT): \
	config$(CCHEXT) \
	directory$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_info$(CCHEXT) \
	file_list$(CCHEXT) \
	file_vector$(CCHEXT) \
	html$(CCHEXT) \
	string_set$(CCHEXT) \
		less$(CCHEXT) \
	util$(CCHEXT) \
	version$(CCHEXT) \
	word_info$(CCHEXT) \
	word_index$(CCHEXT)

postscript$(CCOEXT): \
	postscript$(CCHEXT) \
		string_set$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT)

search$(CCOEXT): \
	config$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_index$(CCHEXT) \
		file_vector$(CCHEXT) \
	file_list$(CCHEXT) \
	less$(CCHEXT) \
	token$(CCHEXT) \
	util$(CCHEXT) \
	version$(CCHEXT) \
	word_index$(CCHEXT)

token$(CCOEXT): \
	config$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	token$(CCHEXT) \
	util$(CCHEXT)

util$(CCOEXT): \
	config$(CCHEXT) \
	entities$(CCHEXT) \
		less$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	string_set$(CCHEXT) \
		less$(CCHEXT) \
	util$(CCHEXT)

word_index$(CCOEXT): \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	word_index$(CCHEXT) \
		file_vector$(CCHEXT)

$(PLATFORM_H):
	@cd config && $(MAKE)

##
# Install rules
##

install: $(TARGET)
	$(INSTALL) $(I_OWNER) $(I_GROUP) $(I_XMODE) $(TARGET) $(I_BIN)
	cd $(I_BIN) && $(STRIP) $(TARGET)
	@cd man && $(MAKE) $@

uninstall::
	cd $(I_BIN) && $(RM) $(TARGET)
	@cd man && $(MAKE) $@

##
# Utility rules
##

clean::
	$(RM) *$(CCOEXT) core the.index

dist distclean:: clean
	$(RM) $(TARGET) $(PLATFORM_H)
	@cd man && $(MAKE) $@

=== config/Makefile ===
##
#	SWISH++
#	config/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		..
include 	$(ROOT)/config/config.mk

.SUFFIXES:

##
# Build rules
##

TARGET=		$(PLATFORM_H_TARGET)

all config:	$(TARGET)

$(TARGET):	src/bool$(CCCEXT) \
		src/explicit$(CCCEXT) \
		src/mutable$(CCCEXT) \
		src/namespaces$(CCCEXT) \
		src/new_casts$(CCCEXT)
	./config.sh $(TARGET) $(CCCEXT) $(CCOEXT) $(CC) $(CCFLAGS)

##
# Utility rules
##

clean::

distclean dist:: clean
	$(RM) $(TARGET)

=== man/Makefile ===
##
#	SWISH++
#	man/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		..
include		$(ROOT)/config/config.mk

##
# Build rules
##

all text ps clean dist distclean install uninstall::
	@cd man1 && $(MAKE) $@
	@cd man4 && $(MAKE) $@

=== man/man1/Makefile ===
##
#	SWISH++
#	man/man1/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		../..
include		$(ROOT)/config/config.mk

SECT=		1
PAGES=		index.$(SECT) search.$(SECT) extract.$(SECT)
TARGET_TXT=	index.txt search.txt extract.txt
TARGET_PS=	index.ps search.ps extract.ps

include		$(ROOT)/config/man.mk

=== man/man4/Makefile ===
##
#	SWISH++
#	man/man4/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		../..
include		$(ROOT)/config/config.mk

SECT=		4
PAGES=		swish++.$(SECT)
TARGET_TXT=	swish++.txt
TARGET_PS=	swish++.ps

include		$(ROOT)/config/man.mk

## swish++ 3.0.3

=== Makefile ===
##
#	SWISH++
#	Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

ROOT=		.
include		$(ROOT)/config/config.mk

CFLAGS=		$(CCFLAGS)
#		Various debug flags; add to CFLAGS for debugging.
#		-DDEBUG_is_ok_word
#		-DDEBUG_parse_class
#		-DDEBUG_parse_query
#		-DDEBUG_stem_word

########## You shouldn't have to change anything below this line. #############

CTARGET=	index search extract

I_LINK=		$(CCLINK) -lm
I_OBJS=		conf_var$(CCOEXT) \
		conf_bool$(CCOEXT) \
		conf_int$(CCOEXT) \
		conf_set$(CCOEXT) \
		conf_string$(CCOEXT) \
		directory$(CCOEXT) \
		elements$(CCOEXT) \
		entities$(CCOEXT) \
		file_vector$(CCOEXT) \
		file_info$(CCOEXT) \
		filter$(CCOEXT) \
		FilterExtension$(CCOEXT) \
		word_index$(CCOEXT) \
		file_list$(CCOEXT) \
		html$(CCOEXT) \
		stop_words$(CCOEXT) \
		util$(CCOEXT) \
		index$(CCOEXT)

S_LINK=		$(CCLINK)
S_OBJS=		conf_var$(CCOEXT) \
		conf_bool$(CCOEXT) \
		conf_int$(CCOEXT) \
		conf_string$(CCOEXT) \
		file_vector$(CCOEXT) \
		file_index$(CCOEXT) \
		word_index$(CCOEXT) \
		file_list$(CCOEXT) \
		token$(CCOEXT) \
		stem_word$(CCOEXT) \
		util$(CCOEXT) \
		search$(CCOEXT)

E_LINK=		$(CCLINK)
E_OBJS=		conf_var$(CCOEXT) \
		conf_bool$(CCOEXT) \
		conf_int$(CCOEXT) \
		conf_set$(CCOEXT) \
		conf_string$(CCOEXT) \
		directory$(CCOEXT) \
		entities$(CCOEXT) \
		file_vector$(CCOEXT) \
		filter$(CCOEXT) \
		FilterExtension$(CCOEXT) \
		postscript$(CCOEXT) \
		stop_words$(CCOEXT) \
		util$(CCOEXT) \
		extract$(CCOEXT)

LTARGET=	WWW.pm
VARS=		I_BIN="$(I_BIN)" I_LIB="$(I_LIB)" PERL="$(PERL)"

PTARGET=	httpindex

BTARGET=	$(CTARGET) $(PTARGET)

##
# Build rules
##

all:: $(BTARGET)

extract: $(E_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(E_OBJS) $(E_LINK)

index: $(I_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(I_OBJS) $(I_LINK)

search: $(S_OBJS)
	$(CC) $(CFLAGS) $(LPATHS) -o $@ $(S_OBJS) $(S_LINK)

conf_bool$(CCOEXT): \
	conf_bool$(CCHEXT) \
		conf_var$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT) \
	exit_codes$(CCHEXT) \
	util$(CCHEXT)


conf_int$(CCOEXT): \
	conf_int$(CCHEXT) \
		conf_var$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT) \
	exit_codes$(CCHEXT) \
	util$(CCHEXT)

conf_set$(CCOEXT): \
	conf_set$(CCHEXT) \
		conf_var$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT) \
		my_set$(CCHEXT)

conf_string$(CCOEXT): \
	conf_string$(CCHEXT) \
		conf_var$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT) \
	exit_codes$(CCHEXT)

conf_var$(CCOEXT): \
	conf_var$(CCHEXT) \
		fake_ansi$(CCHEXT) \
			$(PLATFORM_H) \
		less$(CCHEXT) \
	util$(CCHEXT)

directory$(CCOEXT): \
	directory$(CCHEXT) \
		FollowLinks$(CCHEXT) \
			conf_bool$(CCHEXT) \
				conf_var$(CCHEXT) \
					fake_ansi$(CCHEXT) \
						$(PLATFORM_H) \
					less$(CCHEXT) \
	RecurseSubdirs$(CCHEXT) \
	util$(CCHEXT) \
	Verbosity$(CCHEXT) \
		conf_int$(CCHEXT)

elements$(CCOEXT): \
	elements$(CCHEXT) \
		my_set$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT)

entities$(CCOEXT): \
	entities$(CCHEXT) \
		less$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H)

extract$(CCOEXT): \
	config$(CCHEXT) \
	directory$(CCHEXT) \
		FollowLinks$(CCHEXT) \
			conf_bool$(CCHEXT) \
				conf_var$(CCHEXT) \
					fake_ansi$(CCHEXT) \
						$(PLATFORM_H) \
					less$(CCHEXT) \
	do_file$(CCCEXT) \
	ExcludeExtension$(CCHEXT) \
		conf_set$(CCHEXT) \
			my_set$(CCHEXT) \
	exit_codes$(CCHEXT) \
	file_vector$(CCHEXT) \
	FilterExtension$(CCHEXT) \
		filter$(CCHEXT) \
	IncludeExtension$(CCHEXT) \
	$(PLATFORM_H) \
	postscript$(CCHEXT) \
	RecurseSubdirs$(CCHEXT) \
	StopWordFile$(CCHEXT) \
		conf_string$(CCHEXT) \
	stop_words$(CCHEXT) \
	util$(CCHEXT) \
	Verbosity$(CCHEXT) \
		conf_int$(CCHEXT) \
	version$(CCHEXT)

file_index$(CCOEXT): \
	file_index$(CCHEXT) \
		file_vector$(CCHEXT) \
	util$(CCHEXT) \
		config$(CCHEXT) \
		$(PLATFORM_H)

file_info$(CCOEXT): \
	config$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_info$(CCHEXT) \
	FilesReserve$(CCHEXT) \
		conf_int$(CCHEXT) \
			conf_var$(CCHEXT) \
				less$(CCHEXT)

file_list$(CCOEXT): \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_list$(CCHEXT) \
		word_index$(CCHEXT) \
			file_vector$(CCHEXT) \
		word_info$(CCHEXT) \
			html$(CCHEXT) \
			my_set$(CCHEXT) \
				less$(CCHEXT)

file_vector$(CCOEXT): \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_vector$(CCHEXT)

filter$(CCOEXT): \
	config$(CCHEXT) \
	filter$(CCHEXT)

FilterExtension$(CCOEXT): \
	exit_codes$(CCHEXT) \
	FilterExtension$(CCHEXT) \
		conf_var$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
		filter$(CCHEXT) \
		less$(CCHEXT)

html$(CCOEXT): \
	config$(CCHEXT) \
	elements$(CCHEXT) \
	entities$(CCHEXT) \
		less$(CCHEXT) \
			fake_ansi$(CCHEXT) \
	ExcludeClass$(CCHEXT) \
		conf_set$(CCHEXT) \
			conf_var$(CCHEXT) \
				my_set$(CCHEXT) \
	ExcludeMeta$(CCHEXT) \
	IncludeMeta$(CCHEXT) \
	html$(CCHEXT) \
		file_vector$(CCHEXT) \
	index$(CCHEXT) \
	$(PLATFORM_H) \
	meta_map$(CCHEXT) \
	TitleLines$(CCHEXT) \
		conf_int$(CCHEXT) \
	util$(CCHEXT)

index$(CCOEXT): \
	config$(CCHEXT) \
	directory$(CCHEXT) \
		FollowLinks$(CCHEXT) \
			conf_bool$(CCHEXT) \
				conf_var$(CCHEXT) \
					fake_ansi$(CCHEXT) \
					less$(CCHEXT) \
	do_file$(CCCEXT) \
	elements$(CCHEXT) \
		my_set$(CCHEXT) \
	ExcludeClass$(CCHEXT) \
		conf_set$(CCHEXT) \
	ExcludeExtension$(CCHEXT) \
	ExcludeMeta$(CCHEXT) \
	exit_codes$(CCHEXT) \
	FilesReserve$(CCHEXT) \
		conf_int$(CCHEXT) \
	file_info$(CCHEXT) \
	file_list$(CCHEXT) \
		fake_ansi$(CCHEXT) \
	file_vector$(CCHEXT) \
	FilterExtension$(CCHEXT) \
		filter$(CCHEXT) \
	html$(CCHEXT) \
	IncludeExtension$(CCHEXT) \
	IncludeMeta$(CCHEXT) \
	index$(CCHEXT) \
	IndexFile$(CCHEXT) \
		conf_string$(CCHEXT) \
	meta_map$(CCHEXT) \
	$(PLATFORM_H) \
	RecurseSubdirs$(CCHEXT) \
	StopWordFile$(CCHEXT) \
	stop_words$(CCHEXT) \
	TempDirectory$(CCHEXT) \
	TitleLines$(CCHEXT) \
	util$(CCHEXT) \
	Verbosity$(CCHEXT) \
	version$(CCHEXT) \
	WordFilesMax$(CCHEXT) \
	WordPercentMax$(CCHEXT) \
	word_index$(CCHEXT) \
	word_info$(CCHEXT)

postscript$(CCOEXT): \
	postscript$(CCHEXT) \
		my_set$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT)

search$(CCOEXT): \
	config$(CCHEXT) \
	exit_codes$(CCHEXT) \
	file_index$(CCHEXT) \
		file_vector$(CCHEXT) \
	file_list$(CCHEXT) \
	html$(CCHEXT) \
	IndexFile$(CCHEXT) \
		conf_string$(CCHEXT) \
			conf_var$(CCHEXT) \
				fake_ansi$(CCHEXT) \
	less$(CCHEXT) \
	my_set$(CCHEXT) \
	$(PLATFORM_H) \
	ResultsMax$(CCHEXT) \
		conf_int$(CCHEXT) \
	stem_word$(CCHEXT) \
	StemWords$(CCHEXT) \
		conf_bool$(CCHEXT) \
	token$(CCHEXT) \
	util$(CCHEXT) \
	version$(CCHEXT) \
	word_index$(CCHEXT)

stem_word$(CCOEXT): \
	less$(CCHEXT) \
		fake_ansi$(CCHEXT) \
			$(PLATFORM_H) \
	util$(CCHEXT)

stop_words$(CCOEXT): \
	config$(CCHEXT) \
	exit_codes$(CCHEXT) \
	file_vector$(CCHEXT) \
	stop_words$(CCHEXT) \
		my_set$(CCHEXT) \
			fake_ansi$(CCHEXT) \
				$(PLATFORM_H) \
			less$(CCHEXT) \
	util$(CCHEXT)

token$(CCOEXT): \
	config$(CCHEXT) \
	$(PLATFORM_H) \
	fake_ansi$(CCHEXT) \
	token$(CCHEXT) \
	util$(CCHEXT) \
		file_vector$(CCHEXT)

util$(CCOEXT): \
	config$(CCHEXT) \
	conf_var$(CCHEXT) \
		less$(CCHEXT) \
	exit_codes$(CCHEXT) \
	fake_ansi$(CCHEXT) \
		$(PLATFORM_H) \
	file_vector$(CCHEXT) \
	util$(CCHEXT)

word_index$(CCOEXT): \
	util$(CCHEXT) \
		file_vector$(CCHEXT) \
		$(PLATFORM_H) \
	word_index$(CCHEXT)

$(PLATFORM_H):
	@cd config && $(MAKE)

httpindex: httpindex.in
	$(PERL) $(CONFIG)/config.pl $@ $(VARS)

##
# Install rules
##

install: install_bin install_lib install_man

install_bin: $(BTARGET) $(I_BIN)
	$(INSTALL) $(I_OWNER) $(I_GROUP) $(I_XMODE) $(CTARGET) $(I_BIN)
	cd $(I_BIN) && $(STRIP) $(CTARGET)
	$(INSTALL) $(I_OWNER) $(I_GROUP) $(I_XMODE) $(PTARGET) $(I_BIN)

install_lib: $(I_LIB)
	$(INSTALL) $(I_OWNER) $(I_GROUP) $(I_MODE) $(LTARGET) $(I_LIB)

install_man::
	@cd man && $(MAKE) install

$(I_BIN) $(I_LIB):
	$(MKDIR) $@

uninstall::
	cd $(I_BIN) && $(RM) $(BTARGET)
	cd $(I_LIB) && $(RM) $(LTARGET)
	@cd man && $(MAKE) $@

##
# Utility rules
##

clean::
	$(RM) *$(CCOEXT) core the.index

dist distclean:: clean
	$(RM) $(BTARGET) $(PLATFORM_H)
	@cd man && $(MAKE) $@

=== man/Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 # Build rules
 ##
 
-all text ps clean dist distclean install uninstall::
+all text pdf ps clean dist distclean install uninstall::
 	@cd man1 && $(MAKE) $@
+	@cd man3 && $(MAKE) $@
 	@cd man4 && $(MAKE) $@

=== man/man3/Makefile ===
##
#	SWISH++
#	man/man3/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		../..
include		$(ROOT)/config/config.mk

SECT=		3
PAGES=		WWW.$(SECT)
TARGET_TXT=	WWW.txt
TARGET_PDF=	WWW.pdf
TARGET_PS=	WWW.ps

include		$(ROOT)/config/man.mk

=== man/man4/Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 include		$(ROOT)/config/config.mk
 
 SECT=		4
-PAGES=		swish++.$(SECT)
-TARGET_TXT=	swish++.txt
-TARGET_PS=	swish++.ps
+PAGES=		swish++.conf.$(SECT) swish++.index.$(SECT)
+TARGET_TXT=	swish++.conf.txt swish++.index.txt
+TARGET_PDF=	swish++.conf.pdf swish++.index.pdf
+TARGET_PS=	swish++.conf.ps swish++.index.ps
 
 include		$(ROOT)/config/man.mk

## swish++ 5.15.3-3

=== debian/changelog ===
swish++ (5.15.3-3) unstable; urgency=low

  * Getting swish on the UploadQueue

 -- Michael Hummel <mhummel@debian.org>  Tue, 30 Mar 2004 16:02:39 +0200

swish++ (5.15.3-2) unstable; urgency=low

  * Loosing quotes in swish++.conf as well
  * Fixing typo in search.1
    (closes: #238172)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 21:03:43 +0200

swish++ (5.15.3-1) unstable; urgency=low

  * New upstream release
  * Bumping Standards-Version to 3.6.1
  * Including tab and newline in  ShellFilenameEscapeChars[] and ShellFilenameDelimChars[]\
  and loosing the quotes in the FAQ.Debian filter example. Thanks to calvin for those
  (closes: #238362)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 18:00:48 +0200

swish++ (5.14.2-1) unstable; urgency=low

  * New upstream release
    (
    Shell meta charakters are now escaped (closes: #205342)
    Filenames with spaces are handled correctly by filter (closes: #194358)
    )
  

 -- Michael Hummel <mhummel@debian.org>  Tue, 19 Aug 2003 16:48:36 +0200

swish++ (5.13.5-1) unstable; urgency=low

  * New upstream release
  * Changed FilterFile rules in swish++.conf
    (closes: #194358)

 -- Michael Hummel <mhummel@debian.org>  Tue, 27 May 2003 21:02:12 +0200

swish++ (5.13.2-2) unstable; urgency=medium

  * Applied a patch to fix the mod_man problem
    (closes: #176796)

 -- Michael Hummel <mhummel@debian.org>  Wed, 29 Jan 2003 07:41:09 +0100

swish++ (5.13.2-1) unstable; urgency=low

  * New upstream release
  * Waived the original install procedure, because it was terribly opaque 
  * Switched to Standards-Version: 3.5.8

 -- Michael Hummel <mhummel@debian.org>  Sat, 18 Jan 2003 14:26:15 +0100

swish++ (5.12.1-1) unstable; urgency=low

  * New upstream release  
  * WORD_THRESHOLD back at 250.000, because it's no longer only a compile time
    option and can be lowered through an user swish++.conf file or a
    command line switch (-W)
  * Fixed an indentation problem in the search++ man page (closes: #171656)

 -- Michael Hummel <mhummel@debian.org>  Thu,  5 Dec 2002 00:00:21 +0100

swish++ (5.11-2) unstable; urgency=low

  * Applied a pre.5.11.1 patch from Paul
  (closes: #167576)

 -- Michael Hummel <mhummel@debian.org>  Wed, 20 Nov 2002 17:24:58 +0100

swish++ (5.11-1) unstable; urgency=low

  * New upstream release (closes: #166932) 
  * Patches are now splitted and located in a directory of its own
  * Moved all the daemon scripts and documentation to examples/daemon
  * Some cosmetic cleanup - like fixing executable defaults in example scripts   
    (closes: #166242)
  * Suggesting antiword for filtering and extracting options

 -- Michael Hummel <mhummel@debian.org>  Sat,  2 Nov 2002 08:36:04 +0100

swish++ (5.9.6-3) unstable; urgency=low

  * Removed offending searchd.8 man page; moved converted man page and
    script to the examples directory; cleaned up links to the man page
    (closes: #163542)
  * Cosmetic clean up (rules)

 -- Michael Hummel <mhummel@debian.org>  Sun,  6 Oct 2002 21:57:15 +0200

swish++ (5.9.6-2) unstable; urgency=low

  * Changing to 3.5.7 standard

 -- Michael Hummel <mhummel@debian.org>  Thu,  3 Oct 2002 09:05:23 +0200

swish++ (5.9.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Fri, 13 Sep 2002 20:38:02 +0200

swish++ (5.9.5-1) unstable; urgency=low

  * New upstream release
  * Compiled with g++-3.2
    (closes: #160105)

 -- Michael Hummel <mhummel@debian.org>  Sun,  8 Sep 2002 18:40:04 +0200

swish++ (5.9.2-1) unstable; urgency=low

  * New upstream release
  * Some cosmetic changes (swishmutt.sh)
  * Added a FAQ.Debian regarding the index of ro directories ...
    (closes: #138553)
  * Compiled with gcc-3.1 on i386 (see below ...)

 -- Michael Hummel <mhummel@debian.org>  Sun, 14 Jul 2002 16:51:11 +0200

swish++ (5.7-2) unstable; urgency=low

  * Suggesting xpdf-utils instead of xpdf, due to changes in
    the xpdf package(s)
  * Moved /etc/swish++.conf to /usr/share/doc/swish++/
  * Cosmetical changes in the examples directory

 -- Michael Hummel <mhummel@debian.org>  Thu, 28 Feb 2002 22:03:28 +0100

swish++ (5.7-1) unstable; urgency=medium

  * New upstream release
    (closes: #129389)
  * Some cosmetic changes (README.Debian, swishmutt.sh)
  * Fixed (old) sed script bug - no empty man page anymore
    (closes: #133269)

 -- Michael Hummel <mhummel@debian.org>  Mon, 11 Feb 2002 20:55:58 +0100

swish++ (5.6-2) unstable; urgency=low

  * Dirty compiler trick: needed gcc-3.0 on i386 and gcc-2.95 on the
    rest. The i386 version is compiled with g++ linked to gcc-3.0.
  * Depends now on libstdc++3 therefore. 
  * Optimization should speed up indexing (~30%)
  * Lowered threshold to 100.000
  *  (closes: #130605)
  * Added an email-indexing-example-directory (howto + a script example
    from me + a patched version of Kai Grossjohann's nnir.el) 

 -- Michael Hummel <mhummel@debian.org>  Tue, 29 Jan 2002 19:00:54 +0100

swish++ (5.6-1) unstable; urgency=high

  * New upstream release 
  * Removed compiler optimization flags; will have to wait for a upstream
    solution to re-include optimization. (Safe bet: trading speed for
    random segfaults)  
  *  (closes: #129390)

 -- Michael Hummel <mhummel@debian.org>  Sun, 20 Jan 2002 16:30:17 +0100

swish++ (5.5.3-1) unstable; urgency=medium

  * Adopted this orphan
  (closes: #88974)
  * Assuming some more progressive default values in swish++.conf
  * Suggesting xpdf (pdftotext) for attachment filtering ...
  * Some polishing with fixmanpage
  * Some new primitiveness (regarding the patches), as a gradual approach
    to adoption
  * New upstream release seems to fix the ia64 build bug - 
    built successfully on caballero
   (closes: #119736)
  * Added a minimal manpage for searchc

 -- Michael Hummel <mhummel@debian.org>  Sun, 30 Dec 2001 01:16:03 +0100

swish++ (5.1-0.1) unstable; urgency=medium

  * New upstream release.
  * Marking the package as orphaned.


=== debian/control ===
Source: swish++
Section: web
Priority: optional
Maintainer: Michael Hummel <mhummel@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: swish++
Architecture: any
Depends: ${shlibs:Depends}, perl5
Suggests: xpdf-utils, antiword
Description: Simple Document Indexing System for Humans: C++ version
 SWISH++ is a Unix-based file indexing and searching engine
 (typically used to index and search files on web sites).  It
 was based on SWISH-E although SWISH++ is a complete rewrite.
 SWISH++ was developed to circumvent author's difficulties with
 using the SWISH-E package.
 .
 SWISH++ features:
   * Lightning-fast indexing
   * Indexes META elements, ALT, and other attributes
   * Selectively not index text within HTML or XHTML elements
   * Intelligently index mail and news files
   * Index Unix manual page files
   * Apply filters to files on-the-fly prior to indexing
   * Index non-text files such as Microsoft Office documents
   * Modular indexing architecture
   * Index new files incrementally
   * Index remote web sites
   * Handles large collections of files
   * Lightning-fast searching
   * Optional word stemming (suffix stripping)
   * Ability to run as a search server
   * Easy-to-parse results format
   * Generously commented source code

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
tmp := $(CURDIR)/debian/swish++
renamed := extract index search splitmail 
norename := man1/httpindex.1 man4/swish++.conf.4  man4/swish++.index.4  
fm := $(CURDIR)/debian/fixmanpage
patchdir := $(CURDIR)/debian/patches/*
install_file = install -p    -o root -g root -m 644
install_program = install -p    -o root -g root -m 755
makedirectory = install -p -d -o root -g root -m 755
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	for i in $(patchdir); do  patch -p0 < $${i}; done; 
	touch configure-stamp	

build: build-stamp



build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/swish++.sgml > swish++.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
#	$(MAKE)  install DESTDIR=$(tmp)
	$(makedirectory) $(tmp)/usr/lib/swish++
	$(makedirectory) $(tmp)/usr/bin
	$(install_file) WWW.pm $(tmp)/usr/lib/swish++/
	$(install_program) search $(tmp)/usr/bin/search++
	$(install_program) extract $(tmp)/usr/bin/extract++
	$(install_program) index $(tmp)/usr/bin/index++
	$(install_program) splitmail $(tmp)/usr/bin/splitmail++
	$(install_program) httpindex $(tmp)/usr/bin/httpindex
	#cd $(tmp)/usr/bin && for i in $(renamed); do mv $${i} $${i}++; done;
	cd $(CURDIR)/man/man1 && for i in $(renamed); do sh $(fm) $${i}.1; done; for i in $(renamed);\
	do mv $${i}.1 $${i}++.1; done; \
	cd $(CURDIR)/man && for i in $(norename); do sh $(fm) $${i}; done;
	#rm $(tmp)/usr/share/man/man8/searchd.8
	#rm $(tmp)/usr/share/man/man8/searchmonitor.8
	$(makedirectory) $(CURDIR)/debian/daemon
	$(install_program) searchmonitor $(CURDIR)/debian/daemon/searchmonitor
	$(install_program) searchc $(CURDIR)/debian/daemon/searchc
	$(install_program) searchd $(CURDIR)/debian/daemon/searchd
	# $(install_file) man/man8/searchd.txt $(CURDIR)/debian/daemon/searchd.txt
# 	$(install_file) man/man8/searchmonitor.txt $(CURDIR)/debian/daemon/searchmonitor.txt
# 	$(install_file) debian/searchc.txt $(CURDIR)/debian/daemon/searchc.txt
	# should customize the whole install as it's really opaque now
	# 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs 
	dh_installexamples $(CURDIR)/debian/email_indexing/ $(CURDIR)/swish++.conf  $(CURDIR)/www_example/ \
		$(CURDIR)/debian/daemon/ 
		# $(CURDIR)/searchd $(CURDIR)/man/man8/searchd.txt $(CURDIR)/man/man8/searchmonitor.txt $(CURDIR)/searchmonitor
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman man/man1/splitmail++.1 man/man1/search++.1 man/man1/extract++.1 man/man1/index++.1 \
	man/man1/httpindex.1 man/man3/WWW.3 man/man4/swish++.conf.4 man/man4/swish++.index.4
	dh_installinfo
	dh_undocumented
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## swish++ 5.15.3-3.1

=== debian/changelog ===
swish++ (5.15.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with g++ 4.0
    (Closes: #302561)
  * Add missing Build-Depends on zlib1g-dev

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 21:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Michael Hummel <mhummel@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
+Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
 Standards-Version: 3.6.1
 
 Package: swish++

## swish++ 5.15.3-3.2

=== debian/changelog ===
swish++ (5.15.3-3.2) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356160).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:01:50 +0200

## swish++ 6.1.5

=== debian/changelog ===
swish++ (6.1.5-6) unstable; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Moved repository to salsa.debian.org.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for swish++.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Set debhelper-compat version in Build-Depends.
  * Remove patches fix_splitmail_manpage that are missing from
    debian/patches/series.

  [ Håvard Flaget Aasen ]
  * Refresh all patches using quilt.
  * Change to dh sequencer. Closes: #838727
    - This includes target build-arch and build-indep. Closes: #998917
    - Build also respects DEB_BUILD_OPTIONS nostrip and noopt. Closes: #908047
  * d/watch: Bump to version 4.
  * Change capitalization on Vcs* fields.
  * Bump debhelper to 13.
  * Drop quilt as build dependency.
  * Convert d/email_indexing/nnir.el to utf-8
  * Document Root-Requires-Root.
  * Update Standards-Version to 4.6.0.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 20 Dec 2021 18:22:13 +0100

swish++ (6.1.5-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-7, patch 853673.patch
  * Set source/format to 3.0 (quilt)

 -- Tobias Frost <tobi@debian.org>  Sat, 12 Aug 2017 00:47:44 -0400

swish++ (6.1.5-4) unstable; urgency=medium

  * QA upload.
  * Change compat level to 9 (Closes: #817683)
  * Add patch to compile with GCC-6 (Closes: #811797)
  * Call right index++ in httpindex binary (Closes: #663620)
  * Fix patch splitmail_junk_header (Closes: #545230)

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Sep 2016 00:41:38 +0200

swish++ (6.1.5-3) unstable; urgency=high

  * QA upload
  * Switch Maintainer to Debian QA Group
  * Change dependency on perl5 to perl (Closes: #808323)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 18 Dec 2015 16:39:14 +0000

swish++ (6.1.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add fix_ftbfs_with_gcc4.7 patch.
    Fix FTBFS with gcc 4.7 by adding 'this->' where needed.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667386)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 May 2012 09:06:13 +0200

swish++ (6.1.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with newer GCC 4.6 (Closes: #629813) and with binutils-gold
    (Closes:#556479).  Patches thanks to Georgios M. Zarkadas.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Sep 2011 19:37:31 +0200

swish++ (6.1.5-2) unstable; urgency=low

  * Added some more detailed remarks in README.Debian about
    the use of swish++ in cron scripts based on remarks from
    upstream author Paul J. Lucas.
    - we do not need the print_failed_filter patch. Users
      should run with "-v4" instead.
    - the bugs #459611 and #461349 are marked "wontfix" now
      that instructions on fixing these problems are provided.
  * debian/watch: Added entry for take new upstream .tar.gz name.
  * debian/rlimit: Ensure that hard limit is set with "-H" flag to
    ulimit.
  * debian/patches/fixincludes_gcc4.4: Added fix for gcc4.4 FTBFS
    thanks to Martin MichlMayr. Closes: #504850.
  * debian/control: Standards Version 3.8.0. No other changes
    required.
  * debian/patches/print_failed_filter: Removed. No longer required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 05 Mar 2009 18:58:35 +0530

swish++ (6.1.5-1) unstable; urgency=low

  * New upstream release (6.1.5)
  * debian/control:
    - added Homepage: field pointing to sourceforge site.
    - Standards Version: 3.7.3.
  * Implemented a partial solution to #459611 and #461349
    as a wrapper for filters which imposes resource limits:
    - debian/rlimit: the wrapper script.
    - debian/rules: modified the "binary-arch" rule to actually
      install the script in examples directory.
    - README.Debian: added documentation on this problem.
  * debian/patches/print_failed_filter: generate error message
    about failed filter. (Closes: #211513)
  * debian/control: Added Vcs-Svn tag.
  * Updated debhelper usage:
    - debian/compat: set to '4'.
    - debian/rules: removed definition of DH_COMPAT.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 21 Feb 2008 16:04:29 +0530

swish++ (6.1.4-2) unstable; urgency=low

  * debian/patches:
    - add_explicit_cstdlib_dependencies: Add explicit
      include for cstdlib. Thanks to Martin Michlmayr for the
      patch. Closes: #417712.
    - use_PATH_MAX_from_climits: Comment out upstream's
      redefinition of PATH_MAX. Closes: #397955.
    - fix_man_pages: Remove extra space in synopsis for man/man1/splitmail.1
      Closes: #384988.
    - fix_man4to5: Change references from section 4 to section 5 in
      all relevant man pages.
    - splitmail_junk_header: Make splitmail save a non-mail junk header
      to a separate file. Closes: #420791.
  * debian/watch: Fix url for sourceforge.
  * debian/changelog: Fix typo in the previous entry closing #242238.
  * debian/control: Change maintainer's e-mail address.
  * debian/copyright: Edited out the old address of FSF.

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon,  6 Aug 2007 07:13:25 +0530

swish++ (6.1.4-1) unstable; urgency=low

  * New Maintainer. Closes: #385743.
  * New upstream release (6.1.4). Closes: #321674.
     - Builds with g++ 4.1. Closes: #356160.
  * debian/patches:
     - incorporated patches under "quilt".
     - patch from Andreas Jochens to cast char to int correctly for
       64bit arches. Closes: #302561.
  * debian/rules:
    - updated for new location of scripts in source.
    - changed "configure-stamp" to use /usr/share/quilt/quilt.make.
      following suggestion of James Westby.
    - replaced use of "debian/fixmanpages" by use of
      quilt.
    - changed "configure-stamp" to fix manpage location.
      Closes: #282508.
    - DH_COMPAT=4
    - Use "distclean" target of toplevel Makefile.


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: swish++
 Section: web
 Priority: optional
-Maintainer: Michael Hummel <mhummel@debian.org>
-Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), zlib1g-dev
+Vcs-Git: https://salsa.debian.org/debian/swishplusplus.git
+Vcs-Browser: https://salsa.debian.org/debian/swishplusplus
+Standards-Version: 4.6.0
+Homepage: http://swishplusplus.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: swish++
 Architecture: any
-Depends: ${shlibs:Depends}, perl5
+Depends: ${shlibs:Depends}, perl, ${misc:Depends}
 Suggests: xpdf-utils, antiword
 Description: Simple Document Indexing System for Humans: C++ version
  SWISH++ is a Unix-based file indexing and searching engine
  (typically used to index and search files on web sites).  It
  was based on SWISH-E although SWISH++ is a complete rewrite.
- SWISH++ was developed to circumvent author's difficulties with
- using the SWISH-E package.
  .
  SWISH++ features:
    * Lightning-fast indexing
@@ -32,4 +34,3 @@
    * Optional word stemming (suffix stripping)
    * Ability to run as a search server
    * Easy-to-parse results format
-   * Generously commented source code

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

tmp := $(CURDIR)/debian/swish++
renamed := extract index search splitmail
man4to5 := man4/swish++.conf.4  man4/swish++.index.4

install_file = install -p     -m 644
install_program = install -p  -m 755
install_script = install -p   -m 755
makedirectory = install -p -d -m 755

%:
	dh $@ --no-parallel

execute_after_dh_auto_clean:
	rm -f init_mod_vars.c
	# Clean up the renamed man-pages
	for i in $(renamed); do rm -f $(CURDIR)/man/man1/$${i}++.1; done;
	# Remove copied man-pages
	rm -rf $(CURDIR)/man/man5

execute_after_dh_auto_configure:
	# Fix location of man pages
	mkdir -p $(CURDIR)/man/man5
	for i in $(man4to5); do j=$$(echo $${i} | tr '4' '5'); cp -p man/$${i} man/$${j}; done

override_dh_auto_build:
	dh_auto_build -- "OPTIM=$(CFLAGS)"

execute_after_dh_auto_install:
	$(makedirectory) $(tmp)/usr/lib/swish++
	$(makedirectory) $(tmp)/usr/bin
	$(install_file) WWW.pm $(tmp)/usr/lib/swish++/
	$(install_program) search $(tmp)/usr/bin/search++
	$(install_program) extract $(tmp)/usr/bin/extract++
	$(install_program) index $(tmp)/usr/bin/index++
	$(install_script) scripts/splitmail $(tmp)/usr/bin/splitmail++
	$(install_script) scripts/httpindex $(tmp)/usr/bin/httpindex

	cd $(CURDIR)/man/man1 && for i in $(renamed); do cp -p $${i}.1 $${i}++.1; done;

	$(makedirectory) $(CURDIR)/debian/daemon
	$(install_script) scripts/searchmonitor $(CURDIR)/debian/daemon/searchmonitor
	$(install_script) scripts/searchc $(CURDIR)/debian/daemon/searchc
	$(install_script) scripts/searchd $(CURDIR)/debian/daemon/searchd

override_dh_installexamples:
	dh_installexamples $(CURDIR)/debian/email_indexing/ \
		$(CURDIR)/debian/oo_indexing $(CURDIR)/debian/daemon/ \
		$(CURDIR)/swish++.conf  $(CURDIR)/www_example/ \
		$(CURDIR)/debian/rlimit

override_dh_installman:
	dh_installman man/man1/splitmail++.1 man/man1/search++.1 \
		man/man1/extract++.1 man/man1/index++.1 \
		man/man1/httpindex.1 man/man3/WWW.3 man/man5/swish++.conf.5 \
		man/man5/swish++.index.5

=== debian/watch ===
version=4

https://sf.net/swishplusplus/swishplusplus-([0-9.]*)\.tar\.gz
https://sf.net/swishplusplus/swish\+\+-([0-9.]*)\.tar\.gz
